--GLOBAL CONSTANTS
local CLASS = "CHANGEME"--This is the name that the logging framework will use to display your logs in the correct manner
local LOG_LEVEL = GetResourceMetadata(GetCurrentResourceName(), "log_level", 0)
local RESOURCE_CODE = GetResourceMetadata(GetCurrentResourceName(), "resource_code", 0)
--Global Variables
--LOCAL VARIABLES


--END CONFIG
-----------------------------------------------------------------------------------------------



-------------------
--YOUR CODE HERE---
--HAPPY CODING!----
-------------------



------------------------------------------------------------------------------------------------
--SLF Server Logging Function DO NOT TOUCH unless you know what you are doing.

---Used to send logs to the server console
---@param message any Preformatted message or VARIABLES to be sent to log
---@param logLevel integer Level of log, 1-Error, 2-Warn, 3-Info, 4-Debug
function Log(message, logLevel)
  local line = debug.getinfo(2, "l").currentline
  local name = debug.getinfo(2, "n").name
  if name == "fn" then
    name = "Thread"
  end
  local value = "{"..CLASS.."."..name.."("..line..")} "..message
  if logLevel then
    if tonumber(LOG_LEVEL) >= logLevel then
      exports.SLF:LogToServer(RESOURCE_CODE, logLevel, value)
    end
  else
    exports.SLF:LogToServer(RESOURCE_CODE, 4, value)
    Log("Warning line was logged without a level value... Logged it as debug as that is the safest route.", 1)
  end
end

function DisLog(message)
  local line = debug.getinfo(2, "l").currentline
  local name = debug.getinfo(2, "n").name
  if name == "fn" then
    name = "Thread"
  end
  local value = "{"..CLASS.."."..name.."("..line..")} "..message
  exports.SLF:LogServerToDiscord(RESOURCE_CODE, message)
end

function GetSID(UUID)
  Log("Requesting SID for UUID: "..UUID, 4)
  local SID = exports.SPH:GetSID(UUID)
  Log("Retreived SID: "..SID.." for UUID: "..UUID, 4)
  return SID
end